Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class NetworkConfType

`java.lang.Object
oracle.ovs.api.datamodel.NetworkConfType`

All Implemented Interfaces:
  java.io.Serializable

      public class NetworkConfType

extends java.lang.Object
implements java.io.Serializable

Network config type data model.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_NETWORK_CONF_TYPE_DYNAMIC`
`static java.lang.String` | `_NETWORK_CONF_TYPE_STATIC`

Constructor Summary
`` | `NetworkConfType()`
`protected` | `NetworkConfType(java.lang.String type)`

Method Summary
`boolean` | `equals(NetworkConfType oNetworkConfType)`
`java.lang.String` | `getType()`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _NETWORK_CONF_TYPE_DYNAMIC

    public static final java.lang.String _NETWORK_CONF_TYPE_DYNAMIC

  See Also:
    Constant Field Values

### _NETWORK_CONF_TYPE_STATIC

    public static final java.lang.String _NETWORK_CONF_TYPE_STATIC

  See Also:
    Constant Field Values

Constructor Detail

### NetworkConfType

    public NetworkConfType()

### NetworkConfType

    protected NetworkConfType(java.lang.String type)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(NetworkConfType oNetworkConfType)

### setType

    public void setType(java.lang.String type)

### getType

    public java.lang.String getType()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.